package bus

import (
	"pay/conf"

	"infish.cn/comm"
)

var NatsCenter *comm.NatsBus

func NewNatsBus(app *conf.AppConf) *comm.NatsBus {

	singlePay := new(SinglePay)

	bus, _ := comm.NewNatsBus2(app.Nats.Url, app.Nats.MaxReconnect, app.Nats.ReconnDelaySecond, []*comm.NatsStreamWather{
		singlePay.SuccPayStream(),
	}, []*comm.NatsMsgReplyer{
		singlePay.CreateQr(),
		singlePay.Refund(),
		singlePay.RefundQuery(),
		PayPointList(),
		PayPointDetail(),
		GetPointAmount(),
		PayOrderCreate(),
		PayOrderDetail(),
		PayOrderUpdate(),
	})
	NatsCenter = bus
	return NatsCenter
}
